Jelajahi Sumber

Use scripts for compound travis commands

Josh Stone 9 tahun lalu
induk
melakukan
658637dcba
5 mengubah file dengan 32 tambahan dan 17 penghapusan
  1. 3 17
      .travis.yml
  2. 1 0
      .travis/.gitignore
  3. 12 0
      .travis/deploy.sh
  4. 9 0
      .travis/test_features.sh
  5. 7 0
      .travis/test_nightly.sh

+ 3 - 17
.travis.yml

@@ -7,28 +7,14 @@ sudo: false
 script:
   - cargo build --verbose
   - cargo test --verbose
-  - |
-    (for feature in '' bigint rational complex; do
-      cargo test --verbose --no-default-features --features="$feature" || exit 1
-    done)
-  - |
-    [ $TRAVIS_RUST_VERSION != nightly ] || (
-      cargo bench &&
-      cargo test --verbose --manifest-path=num-macros/Cargo.toml
-    )
+  - .travis/test_features.sh
+  - [ $TRAVIS_RUST_VERSION = nightly ] .travis/test_nightly.sh
   - cargo doc
 after_success: |
   [ $TRAVIS_BRANCH = master ] &&
   [ $TRAVIS_PULL_REQUEST = false ] &&
   [ $TRAVIS_RUST_VERSION = nightly ] &&
-  openssl aes-256-cbc -K $encrypted_9e86330b283d_key -iv $encrypted_9e86330b283d_iv -in .travis/deploy.enc -out .travis/deploy -d &&
-  chmod 600 .travis/deploy &&
-  eval "$(ssh-agent -s)" &&
-  ssh-add .travis/deploy &&
-  pip install ghp-import --user $USER &&
-  cp doc/* target/doc/ &&
-  $HOME/.local/bin/ghp-import -n target/doc &&
-  git push -qf ssh://[email protected]/${TRAVIS_REPO_SLUG}.git gh-pages
+  ssh-agent .travis/deploy.sh
 notifications:
   email:
     on_success: never

+ 1 - 0
.travis/.gitignore

@@ -0,0 +1 @@
+/deploy

+ 12 - 0
.travis/deploy.sh

@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -ex
+
+cp doc/* target/doc/
+pip install ghp-import --user
+$HOME/.local/bin/ghp-import -n target/doc
+
+openssl aes-256-cbc -K $encrypted_9e86330b283d_key -iv $encrypted_9e86330b283d_iv -in .travis/deploy.enc -out .travis/deploy -d
+chmod 600 .travis/deploy
+ssh-add .travis/deploy
+git push -qf ssh://[email protected]/${TRAVIS_REPO_SLUG}.git gh-pages

+ 9 - 0
.travis/test_features.sh

@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -ex
+
+for feature in '' bigint rational complex; do
+  cargo build --verbose --no-default-features --features="$feature"
+  cargo test --verbose --no-default-features --features="$feature"
+done
+

+ 7 - 0
.travis/test_nightly.sh

@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -ex
+
+cargo bench --verbose
+
+cargo test --verbose --manifest-path=num-macros/Cargo.toml